Haml Syntax Highlighter

Posted by ericp on 2008-11-19 17:41 |
0.1.3
Eric Promislow
Fri, 2012-02-03 18:51
  • : 6.0 - 7.*
  • : 6.0 - 7.*

Updated to work with Komodo 7.*.

This module now has Haml syntax checking (if Komodo can find a haml interpreter
in your path). You can also toggle Haml checking either globally or on a
per-document basis in the preferences.

See http://community.activestate.com/forum-topic/haml-syntax-highlighter-v#c...
for more info.

kjharley | Tue, 2010-10-26 16:27

not compatible with Edit 6

ericp
ActiveState Staff
Wed, 2010-10-27 10:25

The XPI is updated to work with ko 6 -- no other changes were made, though.

garvinml | Fri, 2010-11-19 22:42

I just installed the Haml Syntax Highlighter in Komodo Edit 6 and it marks legal haml syntax as errors.
This seems to only happen when embedding ruby code by using - and =.
For example:
 - form_for(@doc, :url => {:action => :move_update}) do |f|
is marked as an error in syntax.

I have check that the syntax is legal with the haml command-line app for the files affected.

Thanks

ericp
ActiveState Staff
Mon, 2010-11-22 12:09

The language field in the right side of the status bar should say "Haml".
Haml files currently don't undergo any syntax checking, so I'm guessing
it's set to another language.

- Eric

gvon | Thu, 2011-09-01 09:40

I get this weird pink highlighting of Haml statements that begin with - or = followed by Ruby code.

I think it's an error indicator, but I'm not sure, because I'm new to Komodo and the code is perfectly valid.

It's definitely set to Haml in the lower right hand corner, as you can see in this screen shot.

http://f.cl.ly/items/1M3O1s3K09331m3B2e39/haml-syntax.png

Whatever that pink highlighting means, it is distracting and I want to turn it off.

ericp
ActiveState Staff
Fri, 2012-02-03 18:50

By default, Komodo colors Ruby parts of multi-language documents with
that subdued pink. You can turn that off in Preferences/Fonts and Languages.

- Eric

clst | Mon, 2011-11-28 08:14

Does not seem to work with Komodo Edit/IDE 7. Even when I change em:maxVersion in install.rdf and install successfully it doesn't seem to do anything.

dale8458 | Wed, 2012-02-01 09:36

I really really need HAML support in KomodoIDE-7

jackoats | Wed, 2013-04-03 14:33

Are there plans to update this for Komodo 8?

Also any plans for HamlPy support?

Many thanks for creating this... I've been using it for many releases now and look forward to having it return in Komodo 8.

abyx01@gmail.com | Wed, 2013-05-29 07:38